Summary: X.Org X11 libXp runtime library
Name:    libXp
Version: 1.0.4
Release: 4%{?dist}
License: MIT
URL:     http://www.x.org
Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.xz

Patch3000: add-proto-files.patch

BuildRequires: make xorg-x11-util-macros xorg-x11-proto-devel
BuildRequires: libX11-devel libXext-devel libXau-devel libtool automake autoconf gettext

%description
X.Org X11 libXp runtime library

%package devel
Summary: X.Org X11 libXp development package
BuildRequires: xorg-x11-proto-devel
Requires: %{name} = %{version}-%{release} libXau-devel pkgconfig

%description devel
X.Org X11 libXp development package

%prep
%autosetup -n %{name}-%{version} -p1

%build
CPPFLAGS="$CPPFLAGS -I%{buildroot}%{_includedir}"
export CPPFLAGS

autoreconf -vi

%configure --disable-static
%make_build

%install
rm -rf %{buildroot}
%make_install

rm -rf %{buildroot}%{_mandir}
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/libXp.so.6
%{_libdir}/libXp.so.6.2.0

%files devel
%{_includedir}/X11/extensions/Print.h
%{_includedir}/X11/extensions/Printstr.h
%{_libdir}/pkgconfig/printproto.pc
%{_libdir}/libXp.so
%{_libdir}/pkgconfig/xp.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.0.4-1
- initial build
